## textdistance 4.5.0

=== licenses_example/requirements.txt ===
pandas
plotnine
textdistance

## textdistance 4.2.0

=== debian/changelog ===
textdistance (4.2.0-2) unstable; urgency=medium

  * Switch to dh-sequence-python3

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Feb 2021 06:52:19 +0000

textdistance (4.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #979204)

 -- Julian Gilbey <jdg@debian.org>  Wed, 27 Jan 2021 19:03:25 +0000

=== debian/control ===
Source: textdistance
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Otto Kekäläinen <otto@debian.org>,
           Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-abydos <!nocheck>,
               python3-all,
               python3-distance <!nocheck>,
               python3-hypothesis <!nocheck>,
               python3-isort <!nocheck>,
               python3-jellyfish <!nocheck>,
               python3-levenshtein <!nocheck>,
               python3-numpy <!nocheck>,
               python3-py-stringmatching <!nocheck>,
               python3-pylev <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pyxdameraulevenshtein <!nocheck>,
               python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/life4/textdistance
Vcs-Git: https://salsa.debian.org/python-team/packages/textdistance.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/textdistance
Rules-Requires-Root: no

Package: python3-textdistance
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python3-abydos,
          python3-distance,
          python3-jellyfish,
          python3-levenshtein,
          python3-lzma,
          python3-numpy,
          python3-py-stringmatching,
          python3-pylev,
          python3-pyxdameraulevenshtein
Description: Library for calculating distances between sequences
 This Python library can calculate the distance between sequences or strings
 using over 30 algorithms.  It is a pure Python implementation, but can make
 use of other libraries (listed as Suggests, some of which have compiled
 extensions) for increased speed.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-language-server-$1\.tar\.gz/ https://github.com/life4/textdistance/tags .*/v?(\d\S+)\.tar\.gz

## textdistance 4.2.1

=== debian/changelog ===
textdistance (4.2.1-1) unstable; urgency=medium

  * New upstream version
  * Fix debian/watch file

 -- Julian Gilbey <jdg@debian.org>  Mon, 25 Oct 2021 07:14:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Otto Kekäläinen <otto@debian.org>,
-           Julian Gilbey <jdg@debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-abydos <!nocheck>,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v\.(\d\S+)\.tar\.gz/textdistance-$1\.tar\.gz/ https://github.com/life4/textdistance/tags .*/v\.(\d\S+)\.tar\.gz

## textdistance 4.2.2

=== debian/changelog ===
textdistance (4.2.2-4) unstable; urgency=medium

  * Update d/watch to handle various different tag formats being used

 -- Julian Gilbey <jdg@debian.org>  Mon, 20 Dec 2021 12:34:30 +0000

textdistance (4.2.2-3) unstable; urgency=medium

  * Fix autopkgtest script

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Dec 2021 16:27:50 +0000

textdistance (4.2.2-2) unstable; urgency=medium

  * Run autopkgtest with every python version, and include pytest.ini
    file.
  * Fix autopkgtest failure on arm64 by ensuring normalised distances
    cannot be greater than one (which could affect any architecture) and
    ignoring differing timings on certain tests in the test suite (which
    caused significant problems on arm64).  (Closes: #1000414)

 -- Julian Gilbey <jdg@debian.org>  Sat, 27 Nov 2021 22:28:37 +0000

textdistance (4.2.2-1) unstable; urgency=medium

  * New upstream version
  * Depend on newer python3-jellyfish (Closes: #997481)
  * Add autopkgtest suite

 -- Julian Gilbey <jdg@debian.org>  Wed, 10 Nov 2021 09:10:33 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-distance <!nocheck>,
                python3-hypothesis <!nocheck>,
                python3-isort <!nocheck>,
-               python3-jellyfish <!nocheck>,
+               python3-jellyfish (>= 0.8.9) <!nocheck>,
                python3-levenshtein <!nocheck>,
                python3-numpy <!nocheck>,
                python3-py-stringmatching <!nocheck>,

=== debian/tests/control ===
Tests: pytest
Depends: python3-abydos,
         python3-distance,
         python3-hypothesis,
         python3-isort,
         python3-jellyfish (>= 0.8.9),
         python3-levenshtein,
         python3-numpy,
         python3-py-stringmatching,
         python3-pylev,
         python3-pytest,
         python3-pyxdameraulevenshtein,
         @

## textdistance 4.5.0

=== debian/changelog ===
textdistance (4.5.0-1) unstable; urgency=medium

  * New upstream version
  * Incorporates modified DamerauLevenstein patch, so remove the
    Debian-specific patch

 -- Julian Gilbey <jdg@debian.org>  Wed, 21 Sep 2022 08:19:12 +0100

textdistance (4.4.0-1) unstable; urgency=medium

  * New upstream version
  * Cannot introduce dependency on the new upstream recommended package
    rapidfuzz, as it is not yet able to be packaged for Debian (due to
    requiring Cython >= 3.0.0a7)
  * Add new classes DamerauLevenshteinRestricted and
    DamerauLevenshteinUnrestricted to handle the different definitions of
    this distance

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 Sep 2022 16:38:09 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-pytest <!nocheck>,
                python3-pyxdameraulevenshtein <!nocheck>,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/life4/textdistance
 Vcs-Git: https://salsa.debian.org/python-team/packages/textdistance.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/textdistance

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Tests: pytest
 Depends: python3-abydos,
+         python3-all,
          python3-distance,
          python3-hypothesis,
          python3-isort,

## textdistance 4.6.0

=== debian/changelog ===
textdistance (4.6.0-1) unstable; urgency=medium

  * New upstream version (closes: #1058429)
  * Drop dependencies on libraries that are no longer used (abydos,
    py_stringmatching and python-Levenshtein), as well as on libraries
    that are not available in Debian (rapidfuzz, Levenshtein)

 -- Julian Gilbey <jdg@debian.org>  Tue, 19 Dec 2023 11:25:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,17 @@
 Uploaders: Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               python3-abydos <!nocheck>,
                python3-all,
                python3-distance <!nocheck>,
                python3-hypothesis <!nocheck>,
                python3-isort <!nocheck>,
                python3-jellyfish (>= 0.8.9) <!nocheck>,
-               python3-levenshtein <!nocheck>,
                python3-numpy <!nocheck>,
-               python3-py-stringmatching <!nocheck>,
                python3-pylev <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pyxdameraulevenshtein <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/life4/textdistance
 Vcs-Git: https://salsa.debian.org/python-team/packages/textdistance.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/textdistance
@@ -28,13 +25,10 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Suggests: python3-abydos,
-          python3-distance,
+Suggests: python3-distance,
           python3-jellyfish,
-          python3-levenshtein,
           python3-lzma,
           python3-numpy,
-          python3-py-stringmatching,
           python3-pylev,
           python3-pyxdameraulevenshtein
 Description: Library for calculating distances between sequences

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-distance,
         python3-hypothesis,
         python3-isort,
         python3-jellyfish (>= 0.8.9),
         python3-numpy,
         python3-pylev,
         python3-pytest,
         python3-pyxdameraulevenshtein,
         @

## textdistance 4.6.3

=== debian/changelog ===
textdistance (4.6.3-7) unstable; urgency=medium

  * Nicer way to implement the change in 4.6.3-7

 -- Julian Gilbey <jdg@debian.org>  Thu, 17 Apr 2025 08:14:33 +0100

textdistance (4.6.3-6) unstable; urgency=medium

  * Disable hypothesis deadline; causing too many spurious CI failures

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Apr 2025 23:24:53 +0100

textdistance (4.6.3-5) unstable; urgency=medium

  * Improve Depends/Recommends/Suggests lists

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Apr 2025 08:13:28 +0100

textdistance (4.6.3-4) unstable; urgency=medium

  * Further increase the hypothesis timeout for one of the tests because
    riscv64 is so slow

 -- Julian Gilbey <jdg@debian.org>  Mon, 09 Sep 2024 20:22:22 +0100

textdistance (4.6.3-3) unstable; urgency=medium

  * Drop test-dependency and Suggests for python3-distance
  * Drop Suggests: python3-lzma; it's now in the standard library

 -- Julian Gilbey <jdg@debian.org>  Sun, 08 Sep 2024 21:31:52 +0100

textdistance (4.6.3-2) unstable; urgency=medium

  * Allow a longer timeout for one particularly slow test so that it does
    not fail on riscv64

 -- Julian Gilbey <jdg@debian.org>  Fri, 09 Aug 2024 18:26:01 +0100

textdistance (4.6.3-1) unstable; urgency=medium

  * New upstream version
  * Support now-packaged rapidfuzz
  * Depend on accelerated rapidfuzz and Levenshtein libraries
  * Switch to using autopkgtest-pkg-pybuild

 -- Julian Gilbey <jdg@debian.org>  Thu, 08 Aug 2024 08:57:28 +0100

=== debian/control ===
Source: textdistance
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-hypothesis <!nocheck>,
               python3-isort <!nocheck>,
               python3-jellyfish (>= 0.8.9) <!nocheck>,
               python3-levenshtein <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pylev <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pyxdameraulevenshtein <!nocheck>,
               python3-rapidfuzz <!nocheck>,
               python3-setuptools
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/life4/textdistance
Vcs-Git: https://salsa.debian.org/python-team/packages/textdistance.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/textdistance
Rules-Requires-Root: no

Package: python3-textdistance
Architecture: all
Depends: python3-rapidfuzz,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-numpy
Description: Library for calculating distances between sequences
 This Python library can calculate the distance between sequences or strings
 using over 30 algorithms.  It is a pure Python implementation, but can make
 use of other libraries (listed as Suggests, some of which have compiled
 extensions) for increased speed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = --hypothesis-profile ci

%:
	dh $@ --buildsystem=pybuild
